public class Person {
    int sirStatus = 0; // 0=susceptible, 1=infected, 2=immune
    int daysInfected = 0;
    int location = 0; // einer von 10 Orten
    
    public void init() {
        // neuen Zufallsort bestimmen
        location = (int)(Math.random() * 10);        
    }
    
    public void infiziereMitWahrscheinlichkeit(double w) {
        if(sirStatus == 0 ) {
            if(Math.random() < w) {
                sirStatus = 1;
            }
        }
    }
    
    public void zeitschritt() {
        // neuen Zufallsort bestimmen
        location = (int)(Math.random() * 10);
        
        // Infektionstage hochzählen
        if( sirStatus == 1) {
            daysInfected = daysInfected + 1;
            if(daysInfected >= 14) {
                sirStatus = 2;
            }
        }
    }
    
    public boolean istInfiziert() {
        if(sirStatus == 1) {
            return true;
        }
        return false;
    }
    
    public boolean gleicherOrtWie(Person x) {
        if(location == x.location) {
            return true;
        }
        return false;
    }
    
    public String toString() {
        String status = "";
        
        if(sirStatus == 0) {
            status = "Ort: "+location+" anfällig";
        }
        if(sirStatus == 1) {
            status = "Ort: "+location+" infiziert ("+daysInfected+". Tag)";
        }
        if(sirStatus == 2) {
            status = "Ort: "+location+" immun";
        }
        return status;
    }
}
